/**
 * 车场管理
 */
import request from '@/utils/request'


// 获取车场列表
export function getParkList(query) {
  return request({
    url: '/park/leader/park/page',
    method: 'get',
    params: query
  })
}

export function getDictList(query) {
  return request({
    url: '/sys/dictdetail/valid/'+query.typeCode,
    method: 'get',
    // params: query
  })
}

 // 根据id获取车场信息
export function getOneParkByid(id) {
  return request({
    url: `/park/leader/park/detail/`+id,
    method: 'get',
  })
}

 // 修改车场状态（启用/禁用）
export function changeSetting(data) {
  return request({
    url: '/park/leader/setting/park',
    method: 'post',
    data: data
  })
}
export function getSetting(parkId) {
  return request({
    url: '/park/leader/setting/park/'+parkId,
    method: 'GET',
  })
}
// // 删除车场（启用/禁用）
export function delOnePark(id) {
  return request({
    url: `/park/leader/park/${id}`,
    method: 'DELETE'
  })
}

export function getProjectList(query) {
  return request({
    url: `/sys/project/page`,
    method: 'GET',
    params: query
  })
}


// // 获取车道信息
export function getRoadList(params) {
  return request({
    url: `/park/leader/lane/page`,
    method: 'get',
    params: params
  })
}

// // 下载二维码
export function download(params) {
  return request({
    url: '/park/leader/qrcode/down',
    method: 'get',
    responseType: 'blob',
    params
  })
}

// // 根据车场id重置密码 - /tuserlists/resetPassword
// export function resetPassword(data) {
//   return request({
//     url: `/tuserlists/resetPassword`,
//     method: 'post',
//     data
//   })
// }
// // 设置车场是否展示异常记录
// export function updateAbnormal(params) {
//   return request({
//     url: '/managepark/updateAbnormal',
//     method: 'get',
//     params
//   })
// }
// export function setOrderLockTime(data) {
//   return request({
//     url: `/managepark/setOrderLockTime`,
//     method: 'post',
//     data
//   })
// }
// export function getOrderLockTime(parkid) {
//   return request({
//     url: `/managepark/getOrderLockTime/` + parkid,
//     method: 'get'
//   })
// }
export function getProvinceListAll(parkid) {
  return request({
    url: `/sys/region/tree`,
    method: 'get'
  })
}

// 获取数据中台车场列表
export function getDataCenterParkList(query) {
  return request({
    url: '/park/leader/park/datacenter/page',
    method: 'get',
    params: query
  })
}

// 获取数据中台车道信息
export function getDataCenterRoadList(params) {
  return request({
    url: `/park/leader/lane/datacenter/page`,
    method: 'get',
    params: params
  })
}
